DROP TABLE DEPT CASCADE CONSTRAINTS;

CREATE TABLE DEPT (
 DEPT_NO  NUMBER(2) CONSTRAINT DEPT_PK PRIMARY KEY
                    CONSTRAINT DEPT_CK_COD_POSITIU CHECK (DEPT_NO > 0),
 DNOM     VARCHAR(14) CONSTRAINT DEPT_NN_DNOM NOT NULL 
                      CONSTRAINT DEPT_UN_DNOM UNIQUE,
 LOC      VARCHAR(14) ) ;

PAUSE "Hem creat la taula DEPT. Ara hi inserirem valors. Premi tecla..."

INSERT INTO DEPT VALUES (10, 'COMPTABILITAT', 'SEVILLA');
INSERT INTO DEPT VALUES (20, 'INVESTIGACI', 'MADRID');
INSERT INTO DEPT VALUES (30, 'VENDES', 'BARCELONA');
INSERT INTO DEPT VALUES (40, 'PRODUCCI', 'BILBAO');
COMMIT;

PAUSE "Hem inserit valors a la taula DEPT. Premi tecla..."

DROP TABLE EMP CASCADE CONSTRAINTS;

CREATE TABLE EMP (
 EMP_NO    NUMBER(4) CONSTRAINT EMP_PK PRIMARY KEY
                     CONSTRAINT EMP_CK_COD_POSITIU CHECK (EMP_NO > 0),
 COGNOM    VARCHAR(10) CONSTRAINT EMP_NN_COGNOM NOT NULL,
 OFICI     VARCHAR(10),
 CAP       NUMBER(4) CONSTRAINT EMP_FK_EMP REFERENCES EMP ON DELETE SET NULL,
 DATA_ALTA DATE,
 SALARI    NUMBER(10) CONSTRAINT EMP_CK_SALARI CHECK (SALARI >=0),
 COMISSIO  NUMBER(10) CONSTRAINT EMP_CK_COMISSIO CHECK (COMISSIO >= 0),
 DEPT_NO   NUMBER(2) CONSTRAINT EMP_NN_DEPT_NO NOT NULL 
                     CONSTRAINT EMP_FK_DEPT REFERENCES DEPT) ;

CREATE INDEX EMP_COGNOM ON EMP (COGNOM);
CREATE INDEX "EMP_DEPT_NO+EMP" ON EMP (DEPT_NO,EMP_NO);

PAUSE "Hem creat la taula EMP. Ara hi inserirem valors. Premi tecla..."

ALTER TABLE EMP
DISABLE CONSTRAINT EMP_FK_EMP;

INSERT INTO EMP VALUES (7369,'SANCHEZ','EMPLEAT',7902, to_date('17/12/1980', 'dd/mm/yyyy'),
                        104000,NULL,20);
INSERT INTO EMP VALUES (7499,'ARROYO','VENEDOR',7698, to_date('20/02/1980', 'dd/mm/yyyy'),
                        208000,39000,30);
INSERT INTO EMP VALUES (7521,'SALA','VENEDOR',7698, to_date('22/02/1981', 'dd/mm/yyyy'),
                        162500,65000,30);
INSERT INTO EMP VALUES (7566,'JIMENEZ','DIRECTOR',7839, to_date('02/04/1981', 'dd/mm/yyyy'),
                        386750,NULL,20);
INSERT INTO EMP VALUES (7654,'MARTIN','VENEDOR',7698, to_date('29/09/1981', 'dd/mm/yyyy'),
                        162500,182000,30);
INSERT INTO EMP VALUES (7698,'NEGRO','DIRECTOR',7839, to_date('01/05/1981', 'dd/mm/yyyy'),
                        370500,NULL,30);
INSERT INTO EMP VALUES (7782,'CEREZO','DIRECTOR',7839, to_date('09/06/1981', 'dd/mm/yyyy'),
                        318500,NULL,10);
INSERT INTO EMP VALUES (7788,'GIL','ANALISTA',7566, to_date('09/11/1981', 'dd/mm/yyyy'),
                        390000,NULL,20);
INSERT INTO EMP VALUES (7839,'REY','PRESIDENT',NULL, to_date('17/11/1981', 'dd/mm/yyyy'),
                        650000,NULL,10);
INSERT INTO EMP VALUES (7844,'TOVAR','VENEDOR',7698, to_date('08/09/1981', 'dd/mm/yyyy'),
                        195000,0,30);
INSERT INTO EMP VALUES (7876,'ALONSO','EMPLEAT',7788, to_date('23/09/1981', 'dd/mm/yyyy'),
                        143000,NULL,20);
INSERT INTO EMP VALUES (7900,'JIMENO','EMPLEAT',7698, to_date('03/12/1981', 'dd/mm/yyyy'),
                        123500,NULL,30);
INSERT INTO EMP VALUES (7902,'FERNANDEZ','ANALISTA',7566, to_date('03/12/1981', 'dd/mm/yyyy'),
                        390000,NULL,20);
INSERT INTO EMP VALUES (7934,'MUOZ','EMPLEAT',7782, to_date('23/01/1982', 'dd/mm/yyyy'),
                        169000,NULL,10);
COMMIT;

ALTER TABLE EMP
ENABLE CONSTRAINT EMP_FK_EMP;

PAUSE "Hem inserit valors a la taula EMP. Premi tecla..."

DROP TABLE CLIENT CASCADE CONSTRAINTS;

CREATE TABLE CLIENT (
 CLIENT_COD          NUMBER (6),
 NOM                 VARCHAR2 (45) CONSTRAINT CLIENT_NN_NOM NOT NULL,
 DOMICILI            VARCHAR2 (40) CONSTRAINT CLIENT_NN_DOMICILI NOT NULL,
 CIUTAT              VARCHAR2 (30) CONSTRAINT CLIENT_NN_CIUTAT NOT NULL,
 ESTAT               VARCHAR2 (2),
 CODI_POSTAL         VARCHAR2 (9) CONSTRAINT CLIENT_NN_CODI_POSTAL NOT NULL,
 AREA                NUMBER (3),
 TELEFON             VARCHAR2 (9),
 REPR_COD            NUMBER (4) CONSTRAINT CLIENT_FK_EMP REFERENCES EMP ON DELETE SET NULL,
 LIMIT_CREDIT        NUMBER (9,2) CONSTRAINT CLIENT_CK_LIMIT_CREDIT CHECK (LIMIT_CREDIT>=0),
 OBSERVACIONS        CLOB,
 CONSTRAINT CLIENT_PK PRIMARY KEY (CLIENT_COD),
 CONSTRAINT CLIENT_CK_COD_POSITIU CHECK (CLIENT_COD > 0));

CREATE INDEX CLIENT_NOM ON CLIENT (NOM);
CREATE INDEX "CLIENT_REPR+CLI" ON CLIENT (REPR_COD, CLIENT_COD);

PAUSE "Hem creat la taula CLIENT. Ara hi inserirem valors. Premi tecla..."

INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (100, 'JOCKSPORTS', '345 VIEWRIDGE', 'BELMONT', 'CA', '96711', 415,
        '598-6609', 7844, 5000, 
        'Very friendly people to work with -- sales rep likes to be called Mike.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (101, 'TKB SPORT SHOP', '490 BOLI RD.', 'REDWOOD CIUTAT', 'CA', '94061', 415,
        '368-1223', 7521, 10000, 
        'Rep called 5/8 about change in order - contact shipping.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (102, 'VOLLYRITE', '9722 HAMILTON', 'BURLINGAME', 'CA', '95133', 415,
        '644-3341', 7654, 7000, 
        'Company doing heavy promotion beginning 10/89. Prepare for large orders during winter.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (103, 'JUST TENNIS', 'HILLVIEW MALL', 'BURLINGAME', 'CA', '97544', 415,
        '677-9312', 7521, 3000, 
        'Contact rep about new line of tennis rackets.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (104, 'EVERY MOUNTAIN', '574 SURRY RD.', 'CUPERTINO', 'CA', '93301', 408,
        '996-2323', 7499, 10000, 
        'CLIENT with high market share (23%) due to aggressive advertising.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (105, 'K + T SPORTS', '3476 EL PASEO', 'SANTA CLARA', 'CA', '91003', 408,
        '376-9966', 7844, 5000, 
        'Tends to order large amounts of merchandise at once. Accounting is considering raising their credit limit. Usually pays on time.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (106, 'SHAPE UP', '908 SEQUOIA', 'PALO ALTO', 'CA', '94301', 415,
        '364-9777', 7521, 6000, 
        'Support intensive. Orders small amounts (< 800) of merchandise at a time.');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (107, 'WOMEN SPORTS', 'VALCO VILLAGE', 'SUNNYVALE', 'CA', '93301', 408,
        '967-4398', 7499, 10000, 
        'First sporting goods store geared exclusively towards women. Unusual promotion al style and very willing to take chances towards new PRODUCTEs!');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (108, 'NORTH WOODS HEALTH AND FITNESS SUPPLY CENTER', '98 LONE PINE WAY', 'HIBBING', 'MN', '55649', 612,
        '566-9123', 7844, 8000, '');
INSERT INTO CLIENT (CLIENT_COD, NOM, DOMICILI, CIUTAT, ESTAT, CODI_POSTAL, AREA, 
                      TELEFON, REPR_COD, LIMIT_CREDIT, OBSERVACIONS)
VALUES (109, 'SPRINGFIELD NUCLEAR POWER PLANT', '13 PERCEBE STR.', 'SPRINGFIELD', 'NT', '0000', 636,
        '999-6666', NULL, 10000, '');
COMMIT;

PAUSE "Hem inserit valors a la taula CLIENT. Premi tecla..."

DROP TABLE PRODUCTE CASCADE CONSTRAINTS;

CREATE TABLE PRODUCTE (
 PROD_NUM     NUMBER (6) CONSTRAINT PRODUCTE_PK PRIMARY KEY
                         CONSTRAINT PRODUCTE_CK_COD_POSITIU CHECK (PROD_NUM > 0),
 DESCRIPCIO   VARCHAR2 (30) CONSTRAINT PRODUCTE_NN_DESCRIPCIO NOT NULL CONSTRAINT PRODUCTE_UN_DESCRIPCIO UNIQUE);

PAUSE "Hem creat la taula PRODUCTE. Ara hi inserirem valors. Premi tecla..."

INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (100860, 'ACE TENNIS RACKET I');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (100861, 'ACE TENNIS RACKET II');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (100870, 'ACE TENNIS BALLS-3 PACK');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (100871, 'ACE TENNIS BALLS-6 PACK');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (100890, 'ACE TENNIS NET');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (101860, 'SP TENNIS RACKET');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (101863, 'SP JUNIOR RACKET');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (102130, 'RH: "GUIDE TO TENNIS"');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (200376, 'SB ENERGY BAR-6 PACK');
INSERT INTO PRODUCTE (PROD_NUM, DESCRIPCIO)
VALUES (200380, 'SB VITA SNACK-6 PACK');
COMMIT;

PAUSE "Hem inserit valors a la taula PRODUCTE. Premi tecla..."

DROP TABLE COMANDA CASCADE CONSTRAINTS;

CREATE TABLE COMANDA  (
 COM_NUM             NUMBER (4),
 COM_DATA            DATE NOT NULL,
 COM_TIPUS           VARCHAR2 (1) CONSTRAINT COMANDA_CK CHECK (COM_TIPUS IN ('A','B','C')),
 CLIENT_COD          NUMBER (6) CONSTRAINT COMANDA_NN_CLIENT NOT NULL,
 DATA_TRAMESA        DATE,
 TOTAL               NUMBER (8,2) CONSTRAINT COMANDA_CK_TOTAL_NO_NEGATIU CHECK (TOTAL >= 0),
 CONSTRAINT COMANDA_FK_CLIENT FOREIGN KEY (CLIENT_COD) REFERENCES CLIENT (CLIENT_COD),
 CONSTRAINT COMANDA_PK PRIMARY KEY (COM_NUM),
 CONSTRAINT COMANDA_CK_COM_NUM_POSITIU CHECK (COM_NUM > 0),
 CONSTRAINT COMANDA_CK_DATES CHECK (DATA_TRAMESA IS NULL OR (DATA_TRAMESA IS NOT NULL AND DATA_TRAMESA>=COM_DATA)));

CREATE INDEX "COMANDA_DATA+NUM" ON COMANDA (COM_DATA,COM_NUM);
CREATE INDEX "COMANDA_TRAMESA+NUM" ON COMANDA (DATA_TRAMESA,COM_NUM);

PAUSE "Hem creat la taula COMANDA. Ara hi inserirem valors. Premi tecla..."

INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (610, to_date('07/01/1987', 'dd/mm/yyyy'), 'A', 101, 
        to_date('08/01/1987', 'dd/mm/yyyy'), 101.4);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (611, to_date('11/01/1987', 'dd/mm/yyyy'), 'B', 102, 
        to_date('11/01/1987', 'dd/mm/yyyy'), 45);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (612, to_date('15/01/1987', 'dd/mm/yyyy'), 'C', 104, 
        to_date('20/01/1987', 'dd/mm/yyyy'), 5860);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (601, to_date('01/05/1986', 'dd/mm/yyyy'), 'A', 106, 
        to_date('30/05/1986', 'dd/mm/yyyy'), 2.4);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (602, to_date('05/06/1986', 'dd/mm/yyyy'), 'B', 102, 
        to_date('20/06/1986', 'dd/mm/yyyy'), 56);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (604, to_date('15/06/1986', 'dd/mm/yyyy'), 'A', 106, 
        to_date('30/06/1986', 'dd/mm/yyyy'), 698);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (605, to_date('14/07/1986', 'dd/mm/yyyy'), 'A', 106, 
        to_date('30/07/1986', 'dd/mm/yyyy'), 8324);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (606, to_date('14/07/1986', 'dd/mm/yyyy'), 'A', 100, 
        to_date('30/07/1986', 'dd/mm/yyyy'), 3.4);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (609, to_date('01/08/1986', 'dd/mm/yyyy'), 'B', 100, 
        to_date('15/08/1986', 'dd/mm/yyyy'), 97.5);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (607, to_date('18/07/1986', 'dd/mm/yyyy'), 'C', 104, 
        to_date('18/07/1986', 'dd/mm/yyyy'), 5.6);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (608, to_date('25/07/1986', 'dd/mm/yyyy'), 'C', 104, 
        to_date('25/07/1986', 'dd/mm/yyyy'), 35.2);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (603, to_date('05/06/1986', 'dd/mm/yyyy'), NULL, 102, 
        to_date('05/06/1986', 'dd/mm/yyyy'), 224);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (620, to_date('12/03/1987', 'dd/mm/yyyy'), NULL, 100, 
        to_date('12/03/1987', 'dd/mm/yyyy'), 4450);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (613, to_date('01/02/1987', 'dd/mm/yyyy'), NULL, 108, 
        to_date('01/02/1987', 'dd/mm/yyyy'), 6400);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (614, to_date('01/02/1987', 'dd/mm/yyyy'), NULL, 102, 
        to_date('05/02/1987', 'dd/mm/yyyy'), 23940);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (616, to_date('03/02/1987', 'dd/mm/yyyy'), NULL, 103, 
        to_date('10/02/1987', 'dd/mm/yyyy'), 764);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (619, to_date('02/02/1987', 'dd/mm/yyyy'), NULL, 104, 
        to_date('04/02/1987', 'dd/mm/yyyy'), 1260);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (617, to_date('05/02/1987', 'dd/mm/yyyy'), NULL, 104, 
        to_date('03/03/1987', 'dd/mm/yyyy'), 46370);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (615, to_date('01/02/1987', 'dd/mm/yyyy'), NULL, 107, 
        to_date('06/02/1987', 'dd/mm/yyyy'), 710);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (618, to_date('15/02/1987', 'dd/mm/yyyy'), 'A', 102, 
        to_date('06/03/1987', 'dd/mm/yyyy'), 3510.5);
INSERT INTO COMANDA (COM_NUM, COM_DATA, COM_TIPUS, CLIENT_COD, DATA_TRAMESA, TOTAL)
VALUES (621, to_date('15/03/1987', 'dd/mm/yyyy'), 'A', 100, 
        to_date('01/05/1987', 'dd/mm/yyyy'), 730);
COMMIT;

PAUSE "Hem inserit valors a la taula COMANDA. Premi tecla..."

DROP TABLE DETALL CASCADE CONSTRAINTS;

CREATE TABLE DETALL  (
 COM_NUM             NUMBER (4),
 DETALL_NUM          NUMBER (4),
 PROD_NUM            NUMBER (6) CONSTRAINT DETALL_NN_PRODUCTE NOT NULL,
 PREU_VENDA          NUMBER (8,2),
 QUANTITAT           NUMBER (8),
 IMPORT              NUMBER (8,2),
 CONSTRAINT DETALL_FK_COMANDA FOREIGN KEY (COM_NUM) REFERENCES COMANDA (COM_NUM),
 CONSTRAINT DETALL_FK_PRODUCTE FOREIGN KEY (PROD_NUM) REFERENCES PRODUCTE (PROD_NUM),
 CONSTRAINT DETALL_PK PRIMARY KEY (COM_NUM,DETALL_NUM),
 CONSTRAINT DETALL_CK_DETALL_NUM_POSITIU CHECK (DETALL_NUM > 0),
 CONSTRAINT DETALL_CK_PVP_NO_NEGATIU CHECK (PREU_VENDA >= 0));

CREATE INDEX "DETALL_PROD+COM+DET" ON DETALL (PROD_NUM,COM_NUM,DETALL_NUM);

PAUSE "Hem creat la taula DETALL. Ara hi inserirem valors. Premi tecla..."

INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (610, 3, 100890, 58, 1, 58);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (611, 1, 100861, 45, 1, 45);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (612, 1, 100860, 30, 100, 3000);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (601, 1, 200376, 2.4, 1, 2.4);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (602, 1, 100870, 2.8, 20, 56);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (604, 1, 100890, 58, 3, 174);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (604, 2, 100861, 42, 2, 84);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (604, 3, 100860, 44, 10, 440);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (603, 2, 100860, 56, 4, 224);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (610, 1, 100860, 35, 1, 35);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (610, 2, 100870, 2.8, 3, 8.4);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (613, 4, 200376, 2.2, 200, 440);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (614, 1, 100860, 35, 444, 15540);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (614, 2, 100870, 2.8, 1000, 2800);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (612, 2, 100861, 40.5, 20, 810);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (612, 3, 101863, 10, 150, 1500);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (620, 1, 100860, 35, 10, 350);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (620, 2, 200376, 2.4, 1000, 2400);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (620, 3, 102130, 3.4, 500, 1700);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (613, 1, 100871, 5.6, 100, 560);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (613, 2, 101860, 24, 200, 4800);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (613, 3, 200380, 4, 150, 600);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (619, 3, 102130, 3.4, 100, 340);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 1, 100860, 35, 50, 1750);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 2, 100861, 45, 100, 4500);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (614, 3, 100871, 5.6, 1000, 5600);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (616, 1, 100861, 45, 10, 450);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (616, 2, 100870, 2.8, 50, 140);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (616, 3, 100890, 58, 2, 116);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (616, 4, 102130, 3.4, 10, 34);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (616, 5, 200376, 2.4, 10, 24);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (619, 1, 200380, 4, 100, 400);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (619, 2, 200376, 2.4, 100, 240);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (615, 1, 100861, 45, 4, 180);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (607, 1, 100871, 5.6, 1, 5.6);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (615, 2, 100870, 2.8, 100, 280);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 3, 100870, 2.8, 500, 1400);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 4, 100871, 5.6, 500, 2800);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 5, 100890, 58, 500, 29000);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 6, 101860, 24, 100, 2400);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 7, 101863, 12.5, 200, 2500);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 8, 102130, 3.4, 100, 340);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 9, 200376, 2.4, 200, 480);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (617, 10, 200380, 4, 300, 1200);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (609, 2, 100870, 2.5, 5, 12.5);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (609, 3, 100890, 50, 1, 50);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (618, 1, 100860, 35, 23, 805);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (618, 2, 100861, 45.11, 50, 2255.5);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (618, 3, 100870, 45, 10, 450);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (621, 1, 100861, 45, 10, 450);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (621, 2, 100870, 2.8, 100, 280);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (615, 3, 100871, 5, 50, 250);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (608, 1, 101860, 24, 1, 24);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (608, 2, 100871, 5.6, 2, 11.2);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (609, 1, 100861, 35, 1, 35);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (606, 1, 102130, 3.4, 1, 3.4);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (605, 1, 100861, 45, 100, 4500);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (605, 2, 100870, 2.8, 500, 1400);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (605, 3, 100890, 58, 5, 290);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (605, 4, 101860, 24, 50, 1200);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (605, 5, 101863, 9, 100, 900);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (605, 6, 102130, 3.4, 10, 34);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (612, 4, 100871, 5.5, 100, 550);
INSERT INTO DETALL (COM_NUM, DETALL_NUM, PROD_NUM, PREU_VENDA, QUANTITAT, IMPORT)
VALUES (619, 4, 100871, 5.6, 50, 280);
COMMIT;

PAUSE "Hem inserit valors a la taula DETALL. Premi tecla..."

PAUSE "El gui s'ha executat correctament. Premi tecla..."
